Bug 33845 - Hold notes should show when viewing a patron's hold list
Summary: Hold notes should show when viewing a patron's hold list
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens (kidclamp)
QA Contact: Katrin Fischer
URL:
Keywords: release-notes-needed
Depends on:
Blocks:
 
Reported: 2023-05-26 10:58 UTC by Nick Clemens (kidclamp)
Modified: 2024-07-18 14:35 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact: Caroline Cyr La Rose
Documentation submission: https://gitlab.com/koha-community/koha-manual/-/merge_requests/915
Text to go in the release notes:
Version(s) released in:
23.11.00


Attachments
Bug 33845: Display hold notes in staff client circulation paes (3.63 KB, patch)
2023-05-26 12:29 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: Display hold notes in OPAC (1.92 KB, patch)
2023-05-26 12:29 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: Use table settings and hide note by default (5.18 KB, patch)
2023-05-26 12:29 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: (follow-up) escape hold notes for display (1.08 KB, patch)
2023-05-26 12:41 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: Display hold notes in staff client circulation paes (3.69 KB, patch)
2023-05-26 15:54 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 33845: Display hold notes in OPAC (1.98 KB, patch)
2023-05-26 15:54 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 33845: Use table settings and hide note by default (5.24 KB, patch)
2023-05-26 15:54 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 33845: (follow-up) escape hold notes for display (1.14 KB, patch)
2023-05-26 15:54 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 33845: (follow-up) Rename config and add a second configuration section (4.81 KB, patch)
2023-06-06 12:42 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: Display hold notes in staff client circulation paes (2.73 KB, patch)
2023-09-29 17:56 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: Display hold notes in OPAC (1.84 KB, patch)
2023-09-29 17:56 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: Use table settings and hide note by default (5.24 KB, patch)
2023-09-29 17:57 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: (follow-up) escape hold notes for display (1.14 KB, patch)
2023-09-29 17:57 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: (follow-up) Rename config and add a second configuration section (4.80 KB, patch)
2023-09-29 17:57 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: Tidy and add update (4.70 KB, patch)
2023-09-29 17:57 UTC, Nick Clemens (kidclamp)
Details | Diff | Splinter Review
Bug 33845: Display hold notes in staff client circulation paes (2.79 KB, patch)
2023-10-07 18:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 33845: Display hold notes in OPAC (1.90 KB, patch)
2023-10-07 18:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 33845: Use table settings and hide note by default (5.29 KB, patch)
2023-10-07 18:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 33845: (follow-up) escape hold notes for display (1.19 KB, patch)
2023-10-07 18:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 33845: (follow-up) Rename config and add a second configuration section (4.86 KB, patch)
2023-10-07 18:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 33845: Tidy and add update (4.75 KB, patch)
2023-10-07 18:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens (kidclamp) 2023-05-26 10:58:29 UTC

    
Comment 1 Nick Clemens (kidclamp) 2023-05-26 12:29:02 UTC
Created attachment 151754 [details] [review]
Bug 33845: Display hold notes in staff client circulation paes

This patch adds the reservenotes column to svc holds, and ensures they display on
circulation and memeber details

To test:
1 - Enable system preference 'OpacHoldNotes'
2 - Place a hold for a ptron via the OPAC
3 - View the patron in the staff client
4 - Click on the 'Holds' tab
5 - Ensure you can see the hold note
6 - Click on the 'Circulation' tab on the left
7 - Click the 'Holds' tab and confirm you can view the note
Comment 2 Nick Clemens (kidclamp) 2023-05-26 12:29:04 UTC
Created attachment 151755 [details] [review]
Bug 33845: Display hold notes in OPAC

This patch adds the holds notes to the patron's account holds list

1 - Ensure system preference 'OpacHoldNotes' is enabled
2 - Place a hold on the OPAC and add a note
3 - Confirm the note displays on the Summary page Holds tab of 'Your account'
4 - In staff client, disable system preference 'OpacHoldNotes'
5 - View Holds on patron's account in opac
6 - Confirm the note no longer shows
Comment 3 Nick Clemens (kidclamp) 2023-05-26 12:29:06 UTC
Created attachment 151756 [details] [review]
Bug 33845: Use table settings and hide note by default

This patch updates the holds table on circulation and moremembers to use
table settings and hides the note column by default to preserve existing views

To test:
 1 - Apply patch
 2 - Enable system preferece 'OpacHoldNotes'
 3 - Place a hold on the opac and enter a note
 4 - Confirm it shows on the patron's page
 5 - View the patron in staff client
 6 - Ensure the holds note does not display on Holds tab in Checkout or Details view
 7 - Go to Admin->Table settings->Circulation
 8 - Under holds_table confirm 'notes' is hidden by default
 9 - Uncheck the box
10 - Refresh patron pages and confirm hold note shows
Comment 4 Nick Clemens (kidclamp) 2023-05-26 12:41:20 UTC
Created attachment 151757 [details] [review]
Bug 33845: (follow-up) escape hold notes for display
Comment 5 Andrew Fuerste-Henry 2023-05-26 15:54:38 UTC
Created attachment 151765 [details] [review]
Bug 33845: Display hold notes in staff client circulation paes

This patch adds the reservenotes column to svc holds, and ensures they display on
circulation and memeber details

To test:
1 - Enable system preference 'OpacHoldNotes'
2 - Place a hold for a ptron via the OPAC
3 - View the patron in the staff client
4 - Click on the 'Holds' tab
5 - Ensure you can see the hold note
6 - Click on the 'Circulation' tab on the left
7 - Click the 'Holds' tab and confirm you can view the note

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 6 Andrew Fuerste-Henry 2023-05-26 15:54:40 UTC
Created attachment 151766 [details] [review]
Bug 33845: Display hold notes in OPAC

This patch adds the holds notes to the patron's account holds list

1 - Ensure system preference 'OpacHoldNotes' is enabled
2 - Place a hold on the OPAC and add a note
3 - Confirm the note displays on the Summary page Holds tab of 'Your account'
4 - In staff client, disable system preference 'OpacHoldNotes'
5 - View Holds on patron's account in opac
6 - Confirm the note no longer shows

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 7 Andrew Fuerste-Henry 2023-05-26 15:54:42 UTC
Created attachment 151767 [details] [review]
Bug 33845: Use table settings and hide note by default

This patch updates the holds table on circulation and moremembers to use
table settings and hides the note column by default to preserve existing views

To test:
 1 - Apply patch
 2 - Enable system preferece 'OpacHoldNotes'
 3 - Place a hold on the opac and enter a note
 4 - Confirm it shows on the patron's page
 5 - View the patron in staff client
 6 - Ensure the holds note does not display on Holds tab in Checkout or Details view
 7 - Go to Admin->Table settings->Circulation
 8 - Under holds_table confirm 'notes' is hidden by default
 9 - Uncheck the box
10 - Refresh patron pages and confirm hold note shows

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 8 Andrew Fuerste-Henry 2023-05-26 15:54:44 UTC
Created attachment 151768 [details] [review]
Bug 33845: (follow-up) escape hold notes for display

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 9 Katrin Fischer 2023-05-29 16:27:18 UTC
2 things:

1) Is this correct?

+            holdsTable = KohaTable("holds-table", {

+        table_settings_holds_table = [% TablesSettings.GetTableSettings( 'circ', 'circulation', 'holds_table', 'json' ) | $raw %]

We have holds-table and holds_table.

2) The holds table doesn't show the columns/export/configure buttons, but should it not?

3) For the checkouts table we have 2 separate configuration tables. Not sure if this is needed, but should we be consistent? (not a blocker)

Otherwise this works pretty well and I think it will be quite helpful.
Comment 10 Nick Clemens (kidclamp) 2023-06-06 12:42:51 UTC
Created attachment 152046 [details] [review]
Bug 33845: (follow-up) Rename config and add a second configuration section

This patch renames the table in the columns configuration to match the id
used in the templates

It also adds a section for the moremember table to alllow config of each page as we do for issues

Lastly we add the table controls as they exist on the issues tables
Comment 11 Jonathan Druart 2023-07-19 07:36:18 UTC
-      holds_table:
+      holds-table:

It feels like you need to provide an atomic update to adjust the columns_settings in DB, don't you think?
Comment 12 Marcel de Rooy 2023-09-29 09:05:16 UTC
(In reply to Jonathan Druart from comment #11)
> -      holds_table:
> +      holds-table:
> 
> It feels like you need to provide an atomic update to adjust the
> columns_settings in DB, don't you think?

Change status to FQA if patches still need attention.
Comment 13 Nick Clemens (kidclamp) 2023-09-29 17:56:55 UTC
Created attachment 156416 [details] [review]
Bug 33845: Display hold notes in staff client circulation paes

This patch adds the reservenotes column to svc holds, and ensures they display on
circulation and memeber details

To test:
1 - Enable system preference 'OpacHoldNotes'
2 - Place a hold for a ptron via the OPAC
3 - View the patron in the staff client
4 - Click on the 'Holds' tab
5 - Ensure you can see the hold note
6 - Click on the 'Circulation' tab on the left
7 - Click the 'Holds' tab and confirm you can view the note

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 14 Nick Clemens (kidclamp) 2023-09-29 17:56:57 UTC
Created attachment 156417 [details] [review]
Bug 33845: Display hold notes in OPAC

This patch adds the holds notes to the patron's account holds list

1 - Ensure system preference 'OpacHoldNotes' is enabled
2 - Place a hold on the OPAC and add a note
3 - Confirm the note displays on the Summary page Holds tab of 'Your account'
4 - In staff client, disable system preference 'OpacHoldNotes'
5 - View Holds on patron's account in opac
6 - Confirm the note no longer shows

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 15 Nick Clemens (kidclamp) 2023-09-29 17:57:00 UTC
Created attachment 156418 [details] [review]
Bug 33845: Use table settings and hide note by default

This patch updates the holds table on circulation and moremembers to use
table settings and hides the note column by default to preserve existing views

To test:
 1 - Apply patch
 2 - Enable system preferece 'OpacHoldNotes'
 3 - Place a hold on the opac and enter a note
 4 - Confirm it shows on the patron's page
 5 - View the patron in staff client
 6 - Ensure the holds note does not display on Holds tab in Checkout or Details view
 7 - Go to Admin->Table settings->Circulation
 8 - Under holds_table confirm 'notes' is hidden by default
 9 - Uncheck the box
10 - Refresh patron pages and confirm hold note shows

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 16 Nick Clemens (kidclamp) 2023-09-29 17:57:02 UTC
Created attachment 156419 [details] [review]
Bug 33845: (follow-up) escape hold notes for display

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 17 Nick Clemens (kidclamp) 2023-09-29 17:57:04 UTC
Created attachment 156420 [details] [review]
Bug 33845: (follow-up) Rename config and add a second configuration section

This patch renames the table in the columns configuration to match the id
used in the templates

It also adds a section for the moremember table to alllow config of each page as we do for issues

Lastly we add the table controls as they exist on the issues tables
Comment 18 Nick Clemens (kidclamp) 2023-09-29 17:57:07 UTC
Created attachment 156421 [details] [review]
Bug 33845: Tidy and add update
Comment 19 Katrin Fischer 2023-10-07 18:19:16 UTC
Created attachment 156692 [details] [review]
Bug 33845: Display hold notes in staff client circulation paes

This patch adds the reservenotes column to svc holds, and ensures they display on
circulation and memeber details

To test:
1 - Enable system preference 'OpacHoldNotes'
2 - Place a hold for a ptron via the OPAC
3 - View the patron in the staff client
4 - Click on the 'Holds' tab
5 - Ensure you can see the hold note
6 - Click on the 'Circulation' tab on the left
7 - Click the 'Holds' tab and confirm you can view the note

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 20 Katrin Fischer 2023-10-07 18:19:19 UTC
Created attachment 156693 [details] [review]
Bug 33845: Display hold notes in OPAC

This patch adds the holds notes to the patron's account holds list

1 - Ensure system preference 'OpacHoldNotes' is enabled
2 - Place a hold on the OPAC and add a note
3 - Confirm the note displays on the Summary page Holds tab of 'Your account'
4 - In staff client, disable system preference 'OpacHoldNotes'
5 - View Holds on patron's account in opac
6 - Confirm the note no longer shows

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 21 Katrin Fischer 2023-10-07 18:19:22 UTC
Created attachment 156694 [details] [review]
Bug 33845: Use table settings and hide note by default

This patch updates the holds table on circulation and moremembers to use
table settings and hides the note column by default to preserve existing views

To test:
 1 - Apply patch
 2 - Enable system preferece 'OpacHoldNotes'
 3 - Place a hold on the opac and enter a note
 4 - Confirm it shows on the patron's page
 5 - View the patron in staff client
 6 - Ensure the holds note does not display on Holds tab in Checkout or Details view
 7 - Go to Admin->Table settings->Circulation
 8 - Under holds_table confirm 'notes' is hidden by default
 9 - Uncheck the box
10 - Refresh patron pages and confirm hold note shows

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 22 Katrin Fischer 2023-10-07 18:19:26 UTC
Created attachment 156695 [details] [review]
Bug 33845: (follow-up) escape hold notes for display

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 23 Katrin Fischer 2023-10-07 18:19:29 UTC
Created attachment 156696 [details] [review]
Bug 33845: (follow-up) Rename config and add a second configuration section

This patch renames the table in the columns configuration to match the id
used in the templates

It also adds a section for the moremember table to alllow config of each page as we do for issues

Lastly we add the table controls as they exist on the issues tables

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 24 Katrin Fischer 2023-10-07 18:19:33 UTC
Created attachment 156697 [details] [review]
Bug 33845: Tidy and add update

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 25 Tomás Cohen Arazi 2023-10-20 19:32:07 UTC
Pushed to master for 23.11.

Nice work everyone, thanks!
Comment 26 Fridolin Somers 2023-10-26 06:13:44 UTC
Enhancement not pushed to 23.05.x